### Property

# Gtk Widget:has-tooltip

#### Declaration

    property has-tooltip: gboolean [ read, write ]

#### Description [src]

Enables or disables the emission of the ::query-tooltip signal on `widget`.

A value of `TRUE` indicates that `widget` can have a tooltip, in this case the widget will be queried using `GtkWidget::query-tooltip` to determine whether it will provide a tooltip or not.

Type: | `gboolean`

Default value | FALSE
Getter method | `gtk_widget_get_has_tooltip()`
Setter method | `gtk_widget_set_has_tooltip()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no